| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Extension Code

Extension Code Definitions and Methods. More...

## Classes
struct | unsp__PnpExtension
| PNP Extension. More...
struct | unsp__PnpExtensionResult
| PNP Extension result. More...
struct | unsp__PnpExtensionRequest
| PNP Extension request. More...
struct | unsp__PnpExtensionEntry
| PNP Extension Entry. More...
struct | unsp__PnpExtensionList
| PNP Extension List. More...
struct | unsp__PnpExtensionListResult
| PNP Extension List result. More...
struct | unsp__PnpExtensionListRequest
| PNP Extension List request. More...

## Enumerations
enum | unsp__PnpExtensionDestType { PnpExt_EndPoint, PnpExt_Line, PnpExt_Service, PnpExt_Vacant, PnpExt_HomeDn, PnpExt_Intercept }
| PNP Extension Destination Type. More...

## Functions
int | unsp__CreatePnpExtension2 (struct unsp__PnpExtensionRequest PnpExtensionRequest, struct unsp__PnpExtensionResult *PnpExtensionResult)
| This method creates a PNP Extension. More...
int | unsp__ModifyPnpExtension2 (struct unsp__PnpExtensionRequest PnpExtensionRequest, struct unsp__PnpExtensionResult *PnpExtensionResult)
| This method modifies an existing PNP Extension. More...
int | unsp__DeletePnpExtension2 (struct unsp__PnpExtensionRequest DeletePnpExtensionRequest, struct unsp__PnpExtensionResult *PnpExtensionResult)
| This method deletes the specified PNP Extension. More...
int | unsp__GetPnPExtensionList2 (struct unsp__PnpExtensionListRequest PnpExtensionListRequest, struct unsp__PnpExtensionListResult *PnpExtensionListResult)
| This method retrieves a list of all PNP Extensions defined for a Number Plan. More...

## Detailed Description

Extension Code Definitions and Methods.

OpenScape Voice supports dialing numbers for a subscriber that are shorter than the numbers provided by the public or the private numbering plans. These short numbers are called extensions and they must be the trailing part of either the subscriber number (public numbering plan) or the local number (private numbering plan. An extension is defined when Nature of Address is set to PNP Extension and Destination Type is set to Home Extension in the Numbering Plan settings. The Prefix Type E164 Prefix Extension, along with DN Minimum Length and DN Maximum Length should determine the extension number.

In most networks, extension numbers are 2 to 7 digits long, and are typically (but not always) a right-most subset of the public number of the phone in question. OpenScape Voice supports extension numbers up to 7 digits in length. Through proper setup of the BG numbering plans and the E.164 numbering plan, extension dialing can be provided:

- Within a BG
- Between BGs
- Between BGs on different OpenScape Voice switches

The form of number displayed as caller ID or connected party ID is controlled by a number of configurable options and by the Display Number Modification feature

## Enumeration Type Documentation

## ◆ unsp__PnpExtensionDestType

enum unsp__PnpExtensionDestType

PNP Extension Destination Type.

Enumerator
PnpExt_EndPoint | Deprecated: NA
PnpExt_Line | Deprecated: NA
PnpExt_Service | Deprecated: NA
PnpExt_Vacant | Deprecated: NA
PnpExt_HomeDn | Home DN.
PnpExt_Intercept | Deprecated: NA

## Function Documentation

## ◆ unsp__CreatePnpExtension2()

unsp__CreatePnpExtension2 | ( | struct unsp__PnpExtensionRequest | PnpExtensionRequest,
|  | struct unsp__PnpExtensionResult * | PnpExtensionResult
| ) |  |

This method creates a PNP Extension.

Parameters

  PnpExtensionRequest | API request
  PnpExtensionResult | API result MP2 command: APNPEXT [Attributes]

## ◆ unsp__DeletePnpExtension2()

unsp__DeletePnpExtension2 | ( | struct unsp__PnpExtensionRequest | DeletePnpExtensionRequest,
|  | struct unsp__PnpExtensionResult * | PnpExtensionResult
| ) |  |

This method deletes the specified PNP Extension.

Parameters

  DeletePnpExtensionRequest | API request
  PnpExtensionResult | API result MP2 command: RPNPEXT [Attributes]

## ◆ unsp__GetPnPExtensionList2()

unsp__GetPnPExtensionList2 | ( | struct unsp__PnpExtensionListRequest | PnpExtensionListRequest,
|  | struct unsp__PnpExtensionListResult * | PnpExtensionListResult
| ) |  |

This method retrieves a list of all PNP Extensions defined for a Number Plan.

Parameters

  PnpExtensionListRequest | API request
  PnpExtensionListResult | API result

## ◆ unsp__ModifyPnpExtension2()

unsp__ModifyPnpExtension2 | ( | struct unsp__PnpExtensionRequest | PnpExtensionRequest,
|  | struct unsp__PnpExtensionResult * | PnpExtensionResult
| ) |  |

This method modifies an existing PNP Extension.

Parameters

  PnpExtensionRequest | API request
  PnpExtensionResult | API result MP2 command: UPNPEXT [Attributes]